Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 25 reacties
Bron: AMD

ATi CrossFireX logo (75 pix)

AMD heeft nieuwe Linux-drivers voor zijn ATI Radeon-videokaarten uitgebracht. De download is 89,3MB groot en kan zowel voor 32bit- als 64bit-omgevingen worden gebruikt. Versie 9.6 is geschikt voor Radeon HD2400, Mobility X2300 en FireGL V3600 en hoger. Overige systeemeisen zijn versies 6.8 tot en met 7.4 van X.org, Linux-kernel 2.6 en glibc versies 2.2 of 2.3. In deze release treffen we geen nieuwe mogelijkheden aan. Wel zijn er diverse problemen verholpen en AMD laat weten dat er nog enkele problem zijn waar nog aan gewerkt wordt:

Resolved Issues
  • Catalyst Control Center, the primary display is now identified when using the Identify Displays button
  • Error message no longer occurs while setting the TV geometry ATI Proprietary Linux Release Notes 5
  • Game corruption does not happen in full screen when 2 monitors are connected and RandR 1.2 is enabled
  • TV screen corruption is no longer visible while starting the X-server on some ASICs
  • Executing the following command : aticonfig --initial -f does not cause the following message "No supported adapters detected" on some display adapters
  • Detecting second display using amdccle "Detect Display" button no longer results in error and will require a relaunch to detect both displays properly
  • Mplayer does not fail to render video when resizing DVD playback window
  • Fixed: Some system may become unresponsive after starting and killing X-server
  • [SUSE 11.X x86] System no longer fail to respond when executing multiple server generations
Known Issues
  • Although listed in the documentation, ADL_Adapter_ClockInfo_Get is not available in the current version of the ADL. The code for obtaining the clock information was excluded due to inaccurate information being reported when the card is over-clocked. Future updates of ADL SDK will reflect this change. As an alternative, ADL_Overdrive5_ODParameters_Get() can be used but this API is only supported on R600 and above ASICs
  • Enabling desktop effects “transparent desktop” may cause desktop icons and application windows to disapear
  • Some systems may report no CrossFire™ adapters available during driver re-install
  • System may become unresponsive when toggling between virtual terminals in multihead configuration with application running
  • Starting X with a second hotplugged display may cause segmentation fault
  • Swapping screens in dual-head mode may cause no video on the secondary display
  • System may stop responding when running “Return to Castle Wolfenstein: Enemy Territory”
  • Video playback may exhibit corruption when desktop effects are enabled and composite video is not explicitly disabled
  • [SUSE11] The display may not turn off while disabling video output
  • [Ubuntu 8.10] System may become inoperative when starting X on surround view system
  • Switching to full screen DVD playback with Totem Player may cause some systems to become unsatble
  • Setting the mode 1280x720p @60Hz or 1280x1024 @60Hz may cause a HDTV display to blank in a multi-display configuration
  • The engine clock and memory clock values may be incorrectly reported by ATI CAL as 0MHz
ATi Catalyst Linux Display Driver logo (410 pix)
Moderatie-faq Wijzig weergave

Reacties (25)

Overige systeemeisen zijn versies 6.8 tot en met 7.4 van X.org, Linux-kernel 2.6 en glibc versies 2.2 of 2.3.
Helaas mag die Linux kernel nog steeds geen 2.6.29 of 2.6.30 zijn, want die worden nog altijd niet ondersteunt als ik het zo uitprobeer... :(
Ik gebruik nu de radeonhd driver omdat de prestaties van deze drivers me elke keer zo tegenvallen. Is deze driver een vooruitgang ten opzichte van de vorige driver, qua presties voor desktop gebruik (HD4870 1GB)?
Ik weet het nog niet, nog niet kunnen testen. Bij de 9.4 drivers stond nog Early Look voor Ubuntu 9.04, hierbij staat het niet meer. Zouden ze nu toch goed werken? Ben ook benieuwd of iemand het al weet! (de vorige drivers speelden geen video normaal af, wel 3D games trouwens, vreemd...)

@Keeper of the Keys, ik heb een gewone HD 4850, misschien dat daar mijn 'probleem' in zit..

[Reactie gewijzigd door letatcest op 16 juni 2009 12:53]

Ik draai al maanden stabiel op de echte 9.4 (8.60.3) in ubuntu/9.04 op mijn laptop.
Wat wel moet worden gezegd is dat Cannonical de drivers die ze zelf meeleveren op de een of andere manier iets fout doet waardoor er soms dingen niet goed (lees heel erg fout) renderen een probleem dat bij mij werd opgelost door gewoon de officiele AMD driver te downloaden die een pakketje te laten bouwen en installeren.

Bram77 presteert je HD4870 dan beter met de radeonhd driver dan met fglrx? Of is het alleen stabieler? Het zou fantastisch zijn als de opensource drivers de closedsource voorbij zijn gestreefd...
En kun je ook meerdere schermen, powermanagement etc. gebruiken met radeonhd?
Ik weet niet precies hoe het zit met RadeonHD maar ik gebruik op mn werk sinds 9.04 de Radeon driver, omdat de 9.4 Catalyst die bij Kubuntu zit compleet niet werkt hier. De Radeon driver doet het echter prima, het ondersteund Xv, XRender, XRandR 1.2 en loopt als een zonnetje. Met XRender kun je desktop effects aanzetten onder KDE4, met XRandR kun je multi-monitor setups maken en Xv zorgt voor goede video afspeel mogelijkheden. :)

Op een aantal gebieden is de Radeon driver de Fglrx dirver al behoorlijk voorbij. 2D performance is gelijk zo niet beter aan Fglrx en als ik video afspeel met Desktop Effects aan freezed mn pc tenminste niet. Het enigste wat echt mist bij de Radeon driver is ondersteuning voor 3D voor r600+. (Ik heb overigens een HD4670) Daar wordt hard aan gewerkt maar het zal waarschinjlijk nog wel iets van een half jaar duren.

Voor zover ik weet zijn de Radeon en RadeonHD driver redleijk gelijk aan elkaar tegenwoordig dus waarschnijlijk gelden deze punten ook voor RadeonHD.
Meerdere schermen en powermanagement gebruik ik niet, maar op 2D gebied is de Radeonhd driver vele malen sneller dan de fglrx driver. Desktop Effects werken niet met de Radeohd driver. Maar liever geen desktop effects dan een heel matig presterende driver, wat mij betreft.

Ook is video's kijken met de fglrx drivers een ramp (tearing, framedrops, geen Xv ondersteuning). Dat gaat een stuk beter met radeonhd.
Desktop effects werken met de nieuwste Radeonhd driver 1.2.5, te vinden in de karmic universe repo's (als je ubuntu gebruikt)
Die drivers gebruik ik, maar helaas werken ze nog niet voor de KDE4 desktop effects.
Bedankt voor de tip anyway :)
Gedeeltelijk wel hoor. Als je XRender kiest bij type compositing kun je al een aantal effecten gebruiken (geen 3D effecten want daar heb je dan weer OpenGL voor nodig).
Het kan zijn dat je bij het activeren van de effecten een melding krijgt dat het niet werkt, maar je moet het gewoon een aantal keer proberen en dan werkt het wel. (dat is bij mij zo het geval, vanaf het moment dat het aan staat werkt alles goed)
Dat wist ik dus niet! Bedankt, werkt inderdaad heel behoorlijk :)

edit: Bij nader inzien is het niet werkbaar.

[Reactie gewijzigd door Bram77 op 20 juni 2009 12:03]

Ik vraag me af wat voor leven de binary driver nog zal hebben als de radeonhd driver volwassen genoeg is. Want zover ik begreep is er (nog) geen 3D acceleratie support in de radeonhd driver, maar als dat er wel is lijkt me toch dat de voorkeur van veel mensen bij de radeonhd driver ligt, ook omdat AMD zelf developers er op heb zitten.
Nou, voorlopig zijn de binary drivers de enige waarmee ik tv-out aan de praat krijg, dus ik hoop dat ze dat voorlopig nog even blijven doen. Verder is de radeonhd driver niet de enige, je hebt ook nog de ati driver.
:) Klopt, maar bij die driver had ik maar OpenGL 1.3 :S
Ik denk dat ze stoppen met deze driver zo gauw radeonhd vergelijkbare 3d prestaties biedt. Volgens mij is de doelgroep van deze driver nu de gamers, die perse goed opengl support nodig hebben, en zo gauw als die over zijn op radeonhd, is er niemand meer die deze nog nodig zal hebben. Ik denk ook dat niemand m zal missen.

[Reactie gewijzigd door kozue op 16 juni 2009 13:53]

En met name omdat AMD nu al bezitters van de bv. nog nieteens zo oude Radeon 1250 IGP verraadt door de drivers hier niet meer voor te ondersteunen. :r. Hier kwam ik laatst mooi achter toen ik dus geen enkele proprietary driver meer kon gebruiken in Ubuntu Jaunty (vanwege de kernel versie).

RadeonHD wilde bij mij ook nog niet echt goed de TV out activeren en idd, voor XBMC is ook OpenGL nodig.

edit:

Vermelden dat de proprietary driver geen 'oude' GPU's meer support en dat de versies die dit wel doen Ubuntu 9.04 en nieuwe kernels niet meer supporten off-topic noemen? :P

[Reactie gewijzigd door eymey op 16 juni 2009 16:42]

De 1250/690G is een R400 baserende chip, welke (ook voor 3D) al vrij goed door de opensource driver ondersteund wordt.

Met de radeon (xf86-video-ati) driver zou je tv-out gewoon moeten werken
http://www.x.org/wiki/radeonTV

RadeonHD gebruik ik persoonlijk niet, werkt bij mij eigenlijk altijd minder goed als de radeon driver.
Ik hoop eigenlijk dat ze een keer met iets als VDPAU komen. Nvidia ondersteunt dit zeer aardig, en er zijn leuke resultaten mee te behalen. (XBMC of Mplayer bijvoorbeeld)

[Reactie gewijzigd door feelthepower op 16 juni 2009 13:52]

http://www.phoronix.com/s...&item=amd_xvmc_xvba&num=1

Ze schijnen er wel mee bezig te zijn maar, inderdaad, behalve op Phoronix wordt er verder erg weinig ruchtbaarheid aan gegeven, noch enige bruikbare testversies voor uitgebracht.

Ik wil niet ranten ofzo, maar het feit dat AMD zo ontzettend traag is met innoveren en zelfs bestaande functionaliteit qua stabiliteit en performance nog niet op het niveau van NVIDIA heeft, heeft mij allang doen besluiten om geen AMD/ATI meer te kopen, of een dergelijke oplossing moet echt iets bieden wat ik bij een alternatieve combi van chipsets en gpu niet kan vinden.

Er is nog steeds vooruitgang, maar zo ontzettend langzaam, zelfs terwijl er op 2 fronten wordt ontwikkeld.
Heeft iemand een idee of deze driver, of welke dan ook, ook de radeon Mobility HD 4530 ondersteunt? Ik zie die chip nergens terug in de driver ondersteuning op de ATI site, terwijl die toch echt in mijn laptop zit volgens de Catalyst driver info in mijn Windows Vista die er ook op staat.
Weten doe ik het niet, maar ik zou verwachten van wel. Voor zover ik weet ondersteund deze driver alle kaarten vanaf de HD2400, er bestaat volgens mij maar 1 driver voor linux per versie.
Hier werkt de driver totaal niet, hele systeem is gescrasht.
En ik kwam niet eens bij het ubuntu laad scherm meer, rare streppen etc.
Ubuntu opnieuw geinstaleerd en andere drivers gepakt.
Herinstalleren? Je had gewoon de driver moeten uitzetten via de cli ;)
Ik vind het zo jammer dat ze de oude kaartjes niet meer ondersteunen :( . Nu zit ik vast aan de opensource drivers, die zeker niet slecht zijn maar net niet helemaal zijn zoals fglrx.
Gisteren uitgebreid getest met 9.6 op Ubuntu 9.04.
3d games werken perfect, compiz OK, geen video problemen bij films, tv-out werkt prima.
Config: Asus laptop F8P met HD2400
Hmm zo te lezen is het nog altijd huilen met de pet op met ATi.

Ik ben al een tijdje van plan om eens een grote upgrade te doen (lees: nieuwe computer te bouwen) en dan moet er dus ook weer een GPU in. Ik had graag de HD4770 willen kopen, die is betaalbaar en goed, maar levert in Linux niets dan gedonder op. Dus toch maar een NVidia GTS250 of een 9600GT, of nog even wachten op de nieuwe GT220/240.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True